Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_POSIX_Asynch_Transmit_File_Result Class Reference

This is that class which will be passed back to the <handler> when the asynchronous transmit file completes. More...

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Transmit_File_Result:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Transmit_File_Result:

[legend]
List of all members.

## Public Methods
ACE_HANDLE | socket (void) const
| Socket used for transmitting the file.
ACE_HANDLE | file (void) const
| File from which the data is read.
ACE_Asynch_Transmit_File::Header_And_Trailer * | header_and_trailer (void) const
| Header and trailer data associated with this transmit file.
size_t | bytes_to_write (void) const
size_t | bytes_per_send (void) const
u_long | flags (void) const
| Flags which were passed into transmit file.
## Protected Methods
| ACE_POSIX_Asynch_Transmit_File_Result (ACE_Handler &handler, ACE_HANDLE socket, ACE_HANDLE file, ACE_Asynch_Transmit_File::Header_And_Trailer *header_and_trailer, size_t bytes_to_write, u_long offset, u_long offset_high, size_t bytes_per_send, u_long flags, const void *act, ACE_HANDLE event, int priority, int signal_number)
virtual void | complete (size_t bytes_transferred, int success, const void *completion_key, u_long error)
| ACE_Proactor will call this method when the write completes.
virtual | ~ACE_POSIX_Asynch_Transmit_File_Result (void)
| Destructor.
## Protected Attributes
ACE_HANDLE | socket_
| Network I/O handle.
ACE_Asynch_Transmit_File::Header_And_Trailer * | header_and_trailer_
| Header and trailer data associated with this transmit file.
size_t | bytes_per_send_
u_long | flags_
| Flags which were passed into transmit file.
## Friends
class | ACE_POSIX_Asynch_Transmit_File
| Factory classes will have special permissions.
class | ACE_POSIX_Asynch_Transmit_Handler
| Handlers do all the job.
class | ACE_POSIX_Proactor
| The Proactor constructs the Result class for faking results.

## Detailed Description

This is that class which will be passed back to the <handler> when the asynchronous transmit file completes.

This class has all the information necessary for the <handler> to uniquiely identify the completion of the asynchronous transmit file.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Transmit_File_Result::ACE_POSIX_Asynch_Transmit_File_Result | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | socket,
|  | ACE_HANDLE | file,
|  | ACE_Asynch_Transmit_File::Header_And_Trailer * | header_and_trailer,
|  | size_t | bytes_to_write,
|  | u_long | offset,
|  | u_long | offset_high,
|  | size_t | bytes_per_send,
|  | u_long | flags,
|  | const void * | act,
|  | ACE_HANDLE | event,
|  | int | priority,
|  | int | signal_number
| ) | `[protected]`

ACE_POSIX_Asynch_Transmit_File_Result::~ACE_POSIX_Asynch_Transmit_File_Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

size_t ACE_POSIX_Asynch_Transmit_File_Result::bytes_per_send | ( | void |  | ) | const`[virtual]`

| Number of bytes per send requested at the start of the transmit file. Implements ACE_Asynch_Transmit_File_Result_Impl.

size_t ACE_POSIX_Asynch_Transmit_File_Result::bytes_to_write | ( | void |  | ) | const`[virtual]`

| The number of bytes which were requested at the start of the asynchronous transmit file. Implements ACE_Asynch_Transmit_File_Result_Impl.

void ACE_POSIX_Asynch_Transmit_File_Result::complete | ( | size_t | bytes_transferred,
|  | int | success,
|  | const void * | completion_key,
|  | u_long | error
| ) | `[protected, virtual]`

| ACE_Proactor will call this method when the write completes. Implements ACE_Asynch_Result_Impl.

ACE_HANDLE ACE_POSIX_Asynch_Transmit_File_Result::file | ( | void |  | ) | const`[virtual]`

| File from which the data is read. Implements ACE_Asynch_Transmit_File_Result_Impl.

u_long ACE_POSIX_Asynch_Transmit_File_Result::flags | ( | void |  | ) | const`[virtual]`

| Flags which were passed into transmit file. Implements ACE_Asynch_Transmit_File_Result_Impl.

ACE_Asynch_Transmit_File::Header_And_Trailer * ACE_POSIX_Asynch_Transmit_File_Result::header_and_trailer | ( | void |  | ) | const`[virtual]`

| Header and trailer data associated with this transmit file. Implements ACE_Asynch_Transmit_File_Result_Impl.

ACE_HANDLE ACE_POSIX_Asynch_Transmit_File_Result::socket | ( | void |  | ) | const`[virtual]`

| Socket used for transmitting the file. Implements ACE_Asynch_Transmit_File_Result_Impl.

## Friends And Related Function Documentation

friend class ACE_POSIX_Asynch_Transmit_File`[friend]`

| Factory classes will have special permissions.

friend class ACE_POSIX_Asynch_Transmit_Handler`[friend]`

| Handlers do all the job.

friend class ACE_POSIX_Proactor`[friend]`

| The Proactor constructs the Result class for faking results.

## Member Data Documentation

size_t ACE_POSIX_Asynch_Transmit_File_Result::bytes_per_send_`[protected]`

| Number of bytes per send requested at the start of the transmit file.

u_long ACE_POSIX_Asynch_Transmit_File_Result::flags_`[protected]`

| Flags which were passed into transmit file.

ACE_Asynch_Transmit_File::Header_And_Trailer* ACE_POSIX_Asynch_Transmit_File_Result::header_and_trailer_`[protected]`

| Header and trailer data associated with this transmit file.

ACE_HANDLE ACE_POSIX_Asynch_Transmit_File_Result::socket_`[protected]`

| Network I/O handle.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/POSIX_Asynch_IO.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/POSIX_Asynch_IO.cpp